Page MenuHomeFreeBSD

cad/gmsh: update to version 2.15.0
ClosedPublic

Authored by jrm on Dec 7 2016, 12:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 6 2017, 1:48 PM
Unknown Object (File)
Feb 18 2017, 11:24 AM
Unknown Object (File)
Dec 27 2016, 9:45 AM
Unknown Object (File)
Dec 12 2016, 3:50 PM
Unknown Object (File)
Dec 8 2016, 9:54 AM
Unknown Object (File)
Dec 8 2016, 8:50 AM
Unknown Object (File)
Dec 7 2016, 3:42 PM
Subscribers

Details

Summary

cad/gmsh: update to version 2.15.0

Upstream changes:

  • fixed several regressions (multi-file partitioned grid export, mesh subdivision, old compound mesher)
  • improved 2D boundary layer field & removed non-functional 3D boundary layer field
  • faster rendering of large meshes
Test Plan

portlint -C: OK
testport: OK (poudriere: 9.3-RELEASE-p48, i386, default options)
testport: OK (poudriere: 9.3-RELEASE-p48, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

cad/gmsh-occ tested as well.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm retitled this revision from to cad/gmsh: update to version 2.15.0.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3.
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Dec 7 2016, 2:20 PM
This revision was automatically updated to reflect the committed changes.